package com.ruoyi.rocketmq.service;

import com.ruoyi.rocketmq.domain.InitialSwitchInfo;

import java.util.List;
import java.util.Map;

/**
 * 交换机流量监控信息Service接口
 * 
 * @author gyt
 * @date 2025-08-25
 */
public interface IInitialSwitchInfoService 
{
    /**
     * 查询交换机流量监控信息
     * 
     * @param id 交换机流量监控信息主键
     * @return 交换机流量监控信息
     */
    public InitialSwitchInfo selectInitialSwitchInfoById(Long id);

    /**
     * 查询交换机流量监控信息列表
     * 
     * @param initialSwitchInfo 交换机流量监控信息
     * @return 交换机流量监控信息集合
     */
    public List<InitialSwitchInfo> selectInitialSwitchInfoList(InitialSwitchInfo initialSwitchInfo);

    /**
     * 新增交换机流量监控信息
     * 
     * @param initialSwitchInfo 交换机流量监控信息
     * @return 结果
     */
    public int insertInitialSwitchInfo(InitialSwitchInfo initialSwitchInfo);

    /**
     * 修改交换机流量监控信息
     * 
     * @param initialSwitchInfo 交换机流量监控信息
     * @return 结果
     */
    public int updateInitialSwitchInfo(InitialSwitchInfo initialSwitchInfo);

    /**
     * 批量删除交换机流量监控信息
     * 
     * @param ids 需要删除的交换机流量监控信息主键集合
     * @return 结果
     */
    public int deleteInitialSwitchInfoByIds(Long[] ids);

    /**
     * 删除交换机流量监控信息信息
     * 
     * @param id 交换机流量监控信息主键
     * @return 结果
     */
    public int deleteInitialSwitchInfoById(Long id);
    /**
     * 批量新增交换机流量监控信息
     *
     * @param list 交换机流量监控信息集合
     * @return 结果
     */
    public int batchInsertInitialSwitchInfo(List<InitialSwitchInfo> list);

    /**
     * 交换机网络基础信息
     * @param initialSwitchInfo
     * @return
     */
    InitialSwitchInfo getSwitchNetDetailsMsg(InitialSwitchInfo initialSwitchInfo);

    /**
     * 获取接口的网络速率
     * @param initialSwitchInfo
     * @return
     */
    Map<String, Object> switchNetSpeedEcharts(InitialSwitchInfo initialSwitchInfo);

    /**
     * 获取接口的丢包数
     * @param initialSwitchInfo
     * @return
     */
    Map<String, Object> switchNetDiscardsEcharts(InitialSwitchInfo initialSwitchInfo);

    /**
     * 获取接口的bites总数
     * @param initialSwitchInfo
     * @return
     */
    Map<String, Object> switchNetTotalEcharts(InitialSwitchInfo initialSwitchInfo);

    /**
     * 获取接口的错误包数
     * @param initialSwitchInfo
     * @return
     */
    Map<String, Object> switchNetErrDiscardsEcharts(InitialSwitchInfo initialSwitchInfo);

}
